from abc import ABCMeta, abstractmethod

class Aggregator(metaclass = ABCMeta):
    @classmethod
    @abstractmethod
    def id(self):
        pass

    @classmethod
    @abstractmethod
    def description(self):
        pass

    @abstractmethod
    def run(self, login_info):
        pass
